Subject: [bug#53865] [PATCH] gnu: ruby-parser: Update to 3.1.0.0.

From: jgart <[email-masked]>
Date: Wed, 9 Feb 2022 17:10:11 -0500

On Wed, 09 Feb 2022 22:24:04 +0100 Nicolas Goaziou <[email-masked]> wrote:
> jgart via Guix-patches via <[email-masked]> writes:
> 
> > What do you think if we were to add  a smart user message to the `guix refresh
> > --list-dependent ...` command?
> >
> > I was thinking something along these lines:
> >
> > ```
> > $ guix refresh --list-dependent ruby-parser
> >
> > Building the following 1991 packages would ensure 5378 dependent packages are rebuilt: ...
> >
> > ruby-parser reported 5000+ packages. According to Submitting Patches section of
> > the manual, above 1800, it should go to core-updates (at the moment).
> > ```
> >
> > Like that, the command reminds the user/calculates for the user what
> > branch to put the package in.
> >
> > I'm imagining it would be as easy as just getting the length of the output and
> > matching against it the appropriate message?
> 
> This would only be useful for people wanting to submit a patch who have
> forgotten about that rule. For everyone else, this is just technical
> noise. I don't think this is something terribly useful.
> 
> In any case, you can create another bug report to suggest it as an UI
> improvement.

If you think it's bloat, I can get behind that. 

I should just memorize the rule already ;()

I was thinking it could be useful for newcomers to Guix but maybe they
should just find it in the manual.

I know I missed that part in the manual when I was more of a fresher
and I still do sometimes as this patch attested.